/*--------------------------------------------- ckick submenu ---------------------------------------------------*/
$('#header_sub_menu').delegate('.bcc_tab', 'click', function()
{
    let el = $(this);
    let attr = el.attr('data-tab');

    if(attr == "#bcc_news" &&  el.hasClass('bcc_active'))
        if($('#news_article_content:visible'))
            article_Hide();        
    
    if(el.hasClass('bcc_active') && $("#channels_list.vz").hasClass('search_vz')){
        $("#channels_list.vz").html(ai_Chamomile());    
        $("#vz").removeClass('full_content');
        client_GetVZChannels('OnShowChannelsVZ', parseInt($('.vselect_current_genre__span').attr('data-value')), $('.vselect_current_listen__span').attr('data-value'),0, g_aConfig['page_elements_cnt'], '#channels_list');
        return;
    }
    if(el.hasClass('bcc_active')) return;
    $('.bcc_tab').removeClass('bcc_active');
    el.addClass('bcc_active');

    if($('#vzchannel').length)         $('#vzchannel').children().hide();        
    else                               $('#content').children().hide();
    
    $(attr).show();
    if(attr == "#bcc_podcast" && !$(attr).find('.media-thumb').length){
        $(attr).append(ai_Chamomile(true));
        client_GetPodcastList('record_OnShowList', 0, ai_GetURLParam('params'));
    }
    if(attr == "#bcc_news" && !$(attr).find('.news_cont').length){
        $(attr).find('#news_list_content').append(ai_Chamomile(true));
        client_GetStationNewsList('news_OnShowListStationNews', 0, ai_GetURLParam('params'));
    }
    if(attr == "#fm" && !$(attr).find('.channel_cont').length){
        $(attr).find('#channels_list').append(ai_Chamomile(true));
        client_GetFMChannels('OnShowChannelsFM', (ai_Get('country_id') ? ai_Get('country_id') : -1), '#channels_list.fm');
    }
});

/*--------------------------------------------- ON SELECT STATION ---------------------------------------------------*/

$('#content').delegate('.channel_logo, .channel_title', 'click', function()
{
    let dom = $(this).closest('.channel_cont');
    let page = 'fmchannel';
    if(dom.hasClass('vz')) page = 'vzchannel';
    if(dom.hasClass('user')) page = 'broadcast';    
    ai_SetPageURL('', page, dom.attr('channel_id'));
    index_ShowCurrentPage();
});

/*--------------------------------------------- ON PLAY / PAUSE -----------------------------------------------------*/

$('#content').delegate('.channel_play', 'click', function()
{
    if($(this).hasClass('user')) return;
    if ($(this).hasClass('playing'))
    {
        $(this).removeClass('playing');
        menu_Stop();
    }
    else
    {
        $('.playing').removeClass('playing');
        $(this).addClass('playing');
        menu_Play($(this).closest('.channel_cont').find('.channel_title').text(),	$(this).closest('.channel_cont').attr('channel_id'), ($(this).hasClass('fm') ? 'fm' : 'vz') );
    }
});

/*-------------------------------------------- ON SELECT COUNTRY ----------------------------------------------------*/

$('#content').delegate('.vselect_list_country_item', 'click', function()
{
    let el = $(this);
    if(el.attr('data-value') == $('.vselect_current_country__span').attr('data-value')) return;
    $('.vselect_current_country__span').attr('data-value', el.attr('data-value')).text(el.text());
    $('#channels_list.fm').html(ai_Chamomile());
    ai_Set('country_id',  el.attr('data-value'));   
    client_GetFMChannels('OnShowChannelsFM', parseInt($('.vselect_current_country__span').attr('data-value')), '#channels_list');
});

$('#content').delegate('.vselect_wrapper_country', 'click', function()
{
    $(this).toggleClass('show');
	$('.vselect_current_country').attr('aria-expanded', !$('.vselect_current_country').attr('aria-expanded'));
	$('.vselect_list_country').toggleClass('show');
});

/*--------------------------------------------- ON SELECT GENRE -----------------------------------------------------*/

$('#content').delegate('.vselect_list_genre_item', 'click', function()
{
    let el = $(this);
    if(!$("#channels_list.vz").hasClass('search_vz'))
        if(el.attr('data-value') == $('.vselect_current_genre__span').attr('data-value')) return;
    $('.vselect_current_genre__span').attr('data-value', el.attr('data-value')).text(el.text());
    $("#channels_list.vz").html(ai_Chamomile());    
    ai_Set('genre_id',  el.attr('data-value'));
    $("#vz").removeClass('full_content');
    client_GetVZChannels('OnShowChannelsVZ', parseInt($('.vselect_current_genre__span').attr('data-value')), $('.vselect_current_listen__span').attr('data-value'),0, g_aConfig['page_elements_cnt'], '#channels_list');
});

$('#content').delegate('.vselect_wrapper_genre', 'click', function()
{
    $(this).toggleClass('show');
	$('.vselect_current_genre').attr('aria-expanded', !$('.vselect_current_genre').attr('aria-expanded'));
	$('.vselect_list_genre').toggleClass('show');
});

/*--------------------------------------------- ON SELECT listen -----------------------------------------------------*/

$('#content').delegate('.vselect_list_listen_item', 'click', function()
{
    let el = $(this);
    if(!$("#channels_list.vz").hasClass('search_vz'))
        if(el.attr('data-value') == $('.vselect_current_listen__span').attr('data-value')) return;
    $('.vselect_current_listen__span').attr('data-value', el.attr('data-value')).text(el.text());
    $("#channels_list.vz").html(ai_Chamomile());  
    ai_Set('listen_id',  el.attr('data-value')); 
    $("#vz").removeClass('full_content');
    client_GetVZChannels('OnShowChannelsVZ', parseInt($('.vselect_current_genre__span').attr('data-value')), $('.vselect_current_listen__span').attr('data-value'),0, g_aConfig['page_elements_cnt'], '#channels_list');
});

$('#content').delegate('.vselect_wrapper_listen', 'click', function()
{
    $(this).toggleClass('show');
	$('.vselect_current_listen').attr('aria-expanded', !$('.vselect_current_listen').attr('aria-expanded'));
	$('.vselect_list_listen').toggleClass('show');
});

/*--------------------------------------------- ON SHOW NEWS LIST ------------------------------------------------------*/

$('#content').delegate('.news_action_btn', 'click', function (event) {
    event.stopPropagation();
    let textItems = news_GetActionLang();
    let domArticle = $(this).closest('.news_cont'); 
    let articleID = domArticle.attr('article_id');
    window.plugins.listpicker.showPicker({
            title: textItems['action_title'],
            items: [
                { text: textItems['read'], value: 'read' },
                { text: textItems['report'], value: 'report' }
            ],
            doneButtonLabel: textItems['done_btn'],
            cancelButtonLabel: textItems['cancel_btn']
        },
        function (item) {
            switch (item) {
                case 'read':
                    domArticle.click();
                    break;

                case 'report':
                    if (device.platform == "iOS")
                        setTimeout(function () { news_ShowReportDlg(domArticle, articleID); }, 1500);
                    else
                        news_ShowReportDlg(domArticle, articleID);
                    break;
            }
        },
        function () { /* Canceled */ }
    );
});

$('#content').delegate('.news_cont', 'click', function()
{    
    client_GetArticle('article_OnShowArticle', $(this).attr('article_id'), '#article_content');
});

/*---------------------------------------------- ON INPUT REQUEST ------------------------------------------------------*/

$('#content').delegate('#search_request', 'change, keyup', function()
{
    client_SearchSuggest('search_OnUpdateSuggests', encodeURIComponent($('#search_request').val()) );
});

/*------------------------------------------------- ON SEARCH ----------------------------------------------------------*/

$('#content').delegate('#search_search', 'click', function()
{
    let dom = $('#search_wrapper');
    let val = encodeURIComponent($('#search_request').val());
    $('#search_wrapper').toggleClass('active');
    $('#search_request').val('');
    $('.vselect_wrapper_genre').toggleClass('noactive');
    $('.vselect_wrapper_listen').toggleClass('noactive');
    if(dom.hasClass('active')){
        $('#search_request').focus();}
    else{
        if(val== '') return;
        $("#vz").addClass('full_content');
        $("#channels_list.vz").html(ai_Chamomile()); 
        client_Search('OnShowChannelsSearch', val);
    }
});

/*$(document).delegate('#search_request', 'keypress', function(e){
    if (!('$search_enter').length) return; /* Make sure that we are on the login page
    if(e.which == 13)
    {
        $('#channels_list').html(ai_Chamomile());
        client_Search('OnShowChannelsSearch', encodeURIComponent($('#search_request').val()), '#channels_list');
    }
});*/

/*------------------------------------------------ ON CLICK FAV --------------------------------------------------------*/

$('#header').delegate('#menu_player_fav', 'click', function()
{
    if (!ai_IsLoggedIn(false)) { login_Main(); return; }
    client_UpdateFav('vzchannel_UpdateFav', $('#menu_player_fav').attr('channel_id'), !$(this).hasClass('fav'));	
});

/*----------------------------------------- ON CLICK BROADCAST , CLICK AUTO DJ-------------------------------------------*/

$('#content').delegate('#broadcast_btn', 'click', function()
{
    if ($('#broadcast_status').hasClass('active'))   
        broadcaster.stopAudioCapture();    
    else    
        broadcaster.startAudioCapture( new MobileWebAudioCapture() );    
});

$('#content').delegate('#broadcast_autodj_btn', 'click', function()
{
    if ($('#broadcast_autodj_status').hasClass('active'))    
        broadcaster.stopAutoBC();    
    else   
        broadcaster.startAutoBC();    
});

/*----------------------------------------- ON CLICK color , page lang -------------------------------------------*/
$('#content').delegate('.color_wrapper', 'click', function () { 
    $('.vselect_wrapper_color').toggleClass('show');
    $('.vselect_current_color').attr('aria-expanded', !$('.vselect_current_color').attr('aria-expanded'));
    $('.vselect_list_color').toggleClass('show');
    settings_HideSelected('lang', 'home', 'size');    
});
$('#content').delegate('.lang_wrapper', 'click', function () { 
    $('.vselect_wrapper_lang').toggleClass('show');
    $('.vselect_current_lang').attr('aria-expanded', !$('.vselect_current_lang').attr('aria-expanded'));
    $('.vselect_list_lang').toggleClass('show');
    settings_HideSelected('color', 'home', 'size');  
});
$('#content').delegate('.home_wrapper', 'click', function () { 
    $('.vselect_wrapper_home').toggleClass('show');
    $('.vselect_current_home').attr('aria-expanded', !$('.vselect_current_home').attr('aria-expanded'));
    $('.vselect_list_home').toggleClass('show');
    settings_HideSelected('lang', 'color', 'size');  
});
$('#content').delegate('.size_wrapper', 'click', function () { 
    $('.vselect_wrapper_size').toggleClass('show');
    $('.vselect_current_size').attr('aria-expanded', !$('.vselect_current_size').attr('aria-expanded'));
    $('.vselect_list_size').toggleClass('show');
    settings_HideSelected('lang', 'color', 'home');  
});

$('#content').delegate('.vselect_list_color_item', 'click', function () {
    let color = $(this).attr('data-value');
    if (ai_Color() !== color) {            
        $('.vselect_current_color__span').attr('data-value', color).text($(this).text());
        ai_Set('color', color);
        menu_Stop();
        setTimeout(function () { location.reload(); }, 500);        
    }
});
$('#content').delegate('.vselect_list_lang_item', 'click', function () {
    let lang = $(this).attr('data-value');
    if (ai_Lang(true) !== lang) {            
        $('.vselect_current_lang__span').attr('data-value', lang).text($(this).text());
        ai_Set('lang', lang);
        menu_Stop();
        setTimeout(function () { location.reload(); }, 500);	
    }
});
$('#content').delegate('.vselect_list_home_item', 'click', function () {
    let home = $(this).attr('data-value');
    if (ai_StartPage() !== home) {            
        $('.vselect_current_home__span').attr('data-value', home).text($(this).text());
        ai_Set('home', home);        
    }
});
$('#content').delegate('.vselect_list_size_item', 'click', function () {
    let size = $(this).attr('data-value');
    if (ai_GetSize() !== size) {          
        $('.vselect_current_size__span').attr('data-value', size).text($(this).text());
        ai_Set('size', size);        
    }
});

/*----------------------------------------- ON CLICK login-------------------------------------------*/

$(document.body).delegate('#user_login, #user_pass', 'keypress', function(e){
    if (!('$login_enter').length) return; 
    if(e.which == 13)
        if ($('#user_login').val() === '')             $('#user_login').focus();        
        else if ($('#user_pass').val() === '')         $('#user_pass').focus();
        else
            client_GetAuthInfo( $('#user_login').val(), ai_Hash($('#user_pass').val()), 'login_OnSuccess', 'login_OnFailure' );
});

$('#dlg_login').delegate('#login_btn', 'click', function()
{
    if ($('#user_login').val() === '')              $('#user_login').focus();    
    else if ($('#user_pass').val() === '')          $('#user_pass').focus();    
    else
        client_GetAuthInfo( $('#user_login').val(), ai_Hash($('#user_pass').val()), 'login_OnSuccess', 'login_OnFailure' );
});
$('#dlg_login').delegate('#reg_btn', 'click', function ()
{
    window.open(ai_GetInfo('server_url') + 'broadcast', '_system', '');
});

/*--------------------------------------------- ON login dlg -------------------------------------------------------*/
$('#dlg_login').delegate('#close_dlg_login', 'click', function (){    login_rmblur();   });
$('#wrapper_login').on('click', function (){    login_rmblur();   });

/*--------------------------------------------- ON HITS BOTTOM -------------------------------------------------------*/

document.addEventListener('scroll', function (event) {
    if (event.target.id === 'bcc_podcast') { 	
        let element = $('#bcc_podcast');
        if(element.hasClass('full_content') || g_aDownloading['bcc_podcast'] == true) return;
        if(element.scrollTop() + element.height() >= document.getElementById('bcc_podcast').scrollHeight - 5)
        {	
            g_aDownloading['bcc_podcast'] = true;
            element.append(ai_Chamomile());
            client_GetPodcastList('record_OnShowList', $('.media-thumb').length, ai_GetURLParam('params'));
        }
    }
    else if(event.target.id === 'vz'){
        let element = $('#vz');
        if(element.hasClass('full_content') || g_aDownloading['vz'] == true || element.find('#channels_list').find('.chamomile').length) return;
        if(element.scrollTop() + element.height() >= document.getElementById('vz').scrollHeight - 30)
        {	
            if(g_aDownloading['vz']) return;
            g_aDownloading['vz'] = true;
            element.find('#channels_list').append(ai_Chamomile(true));
            client_GetVZChannels('OnShowChannelsVZ', parseInt($('.vselect_current_genre__span').attr('data-value')), $('.vselect_current_listen__span').attr('data-value'), 
                element.find('#channels_list .channel_cont').length, g_aConfig['page_elements_cnt'], '#channels_list.vz');
        }
    }
    else if(event.target.id === 'podcast'){        
        let element = $('#podcast');
        if(element.hasClass('full_content') || g_aDownloading['podcast'] == true || element.find('.chamomile').length) return;
        if(element.scrollTop() + element.height() >= document.getElementById('podcast').scrollHeight - 30)
        {	
            g_aDownloading['podcast'] = true;
            element.append(ai_Chamomile());
            client_GetPodcastList('podcast_OnShowList', $('.media-thumb').length);
        }
    }
    else if(event.target.id === 'news_list_content'){
        if(ai_GetURLParam('page') == 'news'){
            let dom =$('#news');         
            let element = $('#news').find('#news_list_content');
            if( dom.hasClass('full_content') || g_aDownloading['news'] == true || element.find('.chamomile').length) return;
            if(element.scrollTop() + element.height() >= document.getElementById('news_list_content').scrollHeight - 30)
            {	
                g_aDownloading['news'] = true;
                element.append(ai_Chamomile());
                client_GetNewsList('news_OnShowListAllNews', $('#news_list_content .news_cont').length, g_aConfig['page_elements_cnt'], '#news_list_content');
            }
        } else{
            let dom =  $('#bcc_news');
            let element = dom.find('#news_list_content');
            if(dom.hasClass('full_content') || g_aDownloading['bcc_news'] == true) return;        
            if(element.scrollTop() + element.height() >= document.getElementById('bcc_news').scrollHeight - 5)
            {	
                g_aDownloading['bcc_news'] = true;
                element.append(ai_Chamomile());
                client_GetStationNewsList('news_OnShowListStationNews', $('.news_cont').length,  ai_GetURLParam('params'));
            }
        }
    }
}, true /*Capture event*/);

/*$(document).on('click', function(e) {
    if (!$(e.target).closest("#search_wrapper").length) {
      $('#search_search').click();
    }
    e.stopPropagation();
  });*/
