g_aActive['fm'] = false;
g_aActive['fav'] = false;
g_aActive['sresults'] = false;
g_aActive['userchannels'] = false;
g_aActive['news'] = false;
g_aDownloading['news'] = false;
g_aActive['vz'] = false;
g_aDownloading['vz'] = false;
g_aActive['news'] = false;
g_aDownloading['news'] = false;
g_aDownloading['podcast'] = false;
g_aDownloading['bcc_podcast'] = false;
g_aDownloading['bcc_news'] = false;
var g_Autocomplete;

function load_main(param, cParams = ''){

    if( !g_aActive[param] ) g_aActive[param] = true;

    if(param == 'fav' && !ai_IsLoggedIn(false)){
        login_Main(); return;
    }
    ai_AddToHistory( param , cParams != '' ?  'params=' + cParams : cParams);    
    load_HTML(param);

    if(param == 'vz' || param == 'news' || param == 'podcast') 
        g_aDownloading[param] = true;

    if(param == 'vz'){
        client_GetVZChannels('OnShowChannelsVZ', (ai_Get('genre_id') ? ai_Get('genre_id') : 0) , (ai_Get('listen_id') ? ai_Get('listen_id') : 'guests') , 0, g_aConfig['page_ini_elements_cnt'], '#channels_list.vz');
        client_GetVZGenres('OnShowGenres');
        client_GetFMCountries('OnShowCountries');
    } 

    if(param == 'fav')
        client_GetListFavoriteStation('OnShowChannelsFav');        
    
    if(param == 'userchannels')
        client_GetUserChannels('OnShowChannelsUser', '#channels_list.userchannels');
    
    if(param == 'news')
        client_GetNewsList('news_OnShowListAllNews', 0, g_aConfig['page_ini_elements_cnt'], '#news_list_content');
    
    if(param == 'podcast')      
        client_GetPodcastList('podcast_OnShowList', 0);
}

/*------------------------------------------------ HTML -----------------------------------------------------------*/
function load_HTML(page){

    let cContent = '';    
    if(page == 'vz'){
        let genre = {
            id : (ai_Get('genre_id') ? ai_Get('genre_id') : 0),
            name : translate('Все жанры')
        };
        let country =  {
            id : ai_Get('country_id') ? ai_Get('country_id') : -1,
            name : translate('Все страны')
        };
        let listen = {};
        list = { "guests" : translate('По посетителям'),"popularity" : translate('По слушателям'),"rating" : translate('По рейтингу'),"time":translate('Свежие') }
        listen.id = ai_Get('listen_id') ? ai_Get('listen_id') : 'guests';
        listen.name = list[listen.id];

        let sub_menu = $('#header_sub_menu');
	    sub_menu.removeClass('active').removeClass('thee').removeClass('two');
        sub_menu.empty().append('<div class="bcc_tab bcc_active" id="bcc_vz_tab" data-tab="#vz">'+translate('Pадио')+'</div><div class="bcc_tab" id="bcc_fm_tab" data-tab="#fm">FM</div>');
        sub_menu.addClass('two').addClass('active');       
        cContent +='<div id="fm">';
        cContent += GetSelect('country', country);
        cContent += '<div id="channels_list" class="fm"></div></div><div id="vz" style="display: block">';         
        cContent += GetSelect('listen', listen, list) + GetSelect('genre', genre);  
        cContent += `<div id="search_wrapper">
					<input type="text" id="search_request" class="awesomplete" data-minchars="1" data-autofirst="false" placeholder="`+translate('Введите запрос')+`" />
					<div id="search_search"></div>
				</div>`;
    }
    else{
        cContent = '<div id="' + page + '">'; 
    }

    if(page == 'news')
        cContent+= '<div id="news_list_content" style="display:block;">'+ ai_Chamomile() + '</div><div id="news_article_content">';
    else if(page != 'podcast')
        cContent+= '<div id="channels_list" class="' + page + '">';
            cContent+= ai_Chamomile();
        cContent+= '</div>';    

    cContent+= '</div>';
    $('#content').html(cContent);
    if(page == 'vz'){
        let input_search = document.getElementById('search_request');
        g_Autocomplete = new Awesomplete(input_search); 
        input_search.addEventListener('awesomplete-selectcomplete',function(){
            $('#search_search').click();
        }); 
    }
    if(page == 'news')
        $('#news_list_content .chamomile').animate({opacity:'1'}, 500);
    else   
        $('#channels_list .chamomile').animate({opacity:'1'}, 500); 
}

function GetSelect(param, item, list = false){
let cContent = '<div class="vselect_wrapper_' + param + ' dropdown">';
    cContent += '<div class="vselect_current dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">';
        cContent += '<span class="vselect_current_' + param + '__span" data-value="' + item.id + '">' + item.name + '</span>';
        cContent += '<span class="vselect_current__arrow icon-expand_arrow"></span>';
    cContent += '</div>';
    cContent += '<div class="vselect_list_' + param + ' dropdown-menu" style="padding:0;">';
    if(list)
    {       
        cContent += '<div class="vselect_list_listen_item dropdown-item" data-value="guests">' + list.guests + '</div>';
        cContent += '<div class="vselect_list_listen_item dropdown-item" data-value="popularity">' + list.popularity + '</div>';                
        cContent += '<div class="vselect_list_listen_item dropdown-item" data-value="rating">' + list.rating + '</div>';
        cContent += '<div class="vselect_list_listen_item dropdown-item" data-value="time">' + list.time + '</div>';                
    }
    cContent += '</div>';
cContent +='</div>';
return cContent;
}
/*-------------------------------------------- ON SHOW CHANNELS --------------------------------------------------------*/
function OnShowChannelsFM( objData ){       OnShowChannels( objData,"fm", "fm");                    }
function OnShowChannelsVZ( objData ){
        $('#channels_list.vz').removeClass('search_vz');
           OnShowChannels( objData,"vz", "vz");                    
        }
function OnShowChannelsUser( objData ){     OnShowChannels( objData,"user", "userchannels");        }
function OnShowChannelsFav(objData){        OnShowChannels( objData,"vz", "fav");                   }
function OnShowChannelsSearch(objData){ 
        $('#channels_list.vz').addClass('search_vz');
        OnShowChannels( objData,"vz" ,"search");                
    }

function OnShowChannels( objData, param, page)
{
    let domContainer = $('#channels_list.'+ (page == 'search' ? 'vz' : page) );
    if (domContainer.find('.chamomile').length) 
        domContainer.find('.chamomile').remove();
        
    let channels = objData.stations ? objData.stations :  objData.channels;
    for (let i = 0; i < channels.length; i++) 
	{
		let objStation = channels[i];
		let cPlayingClass = "";
		if (objStation.id == RadioPlayer.cCurStationID && RadioPlayer.objPlayer.isPlaying) cPlayingClass = " playing";
		let cContent = '<div class="channel_cont '+ param +'" channel_id="' + objStation.id + '">';
			cContent+= '<div class="channel_wrapper">';
                cContent+= '<img class="channel_logo" src="' +  objStation.logo_url + '" />';
                cContent+= '<div class="channel_data">';
                    cContent+= '<div class="channel_title">' + ai_HTMLEscape(objStation.title) + '</div>';
                    cContent+= '<div class="channel_play '+ param +'' + cPlayingClass + '"><div id="channel_play_wrapper"></div></div>';
                cContent+= '</div>';
			cContent+= '</div>';
		cContent+= '</div>';
		domContainer.append(cContent);
    }

    if( !channels.length && $("#vz").length != 0){
        $("#vz").addClass('full_content');
        setTimeout(function () { $("#vz").removeClass('full_content'); }, 15000);
    }

    if( !channels.length && page == "search")	
        domContainer.html('<div id="sresults_no">' + translate('Нет результатов') + '</div>');	

    if( !channels.length && page == "fav")	
        domContainer.html('<div id="fav_no">' + translate('Пока нет ни одной станции') + '</div>');	
        
    if(param == 'vz')
        setTimeout(function () { g_aDownloading[param] = false; }, objData.channels.length ? 500 : 2000);
}

/*--------------------------------------------- ON SHOW COUNTRIES -----------------------------------------------------*/
function OnShowCountries( objData )
{
    let domContainer = $('.vselect_list_country');   
    cContent = '<div class="vselect_list_country_item dropdown-item" data-value="-1">' +  translate('Все страны') + '</div>';
    domContainer.append(cContent);

    for (let i = 0; i < objData.countries.length; i++) 
	{
        let el = objData.countries[i];  
        if(el.id == $('.vselect_current_country__span').attr('data-value')){
            $('.vselect_current_country__span').text(ai_HTMLEscape(el.name));
        }         
        cContent = '<div class="vselect_list_country_item dropdown-item" data-value="' + el.id + '">' + ai_HTMLEscape(el.name) + '</div>';
        domContainer.append(cContent);
	}
}

/*--------------------------------------------- ON SHOW GENRES -----------------------------------------------------*/
function OnShowGenres( objData )
{
    let domContainer = $('.vselect_list_genre');   
    cContent = '<div class="vselect_list_genre_item dropdown-item" data-value="0">' + translate('Все жанры') + '</div>';
    domContainer.append(cContent);

    for (let i = 0; i < objData.genres.length; i++)  
	{
        let el = objData.genres[i];        
        if(el.id != 0){  
            if(el.id == $('.vselect_current_genre__span').attr('data-value')){
                $('.vselect_current_genre__span').text(ai_HTMLEscape(el.title));
            } 
            cContent = '<div class="vselect_list_genre_item dropdown-item" data-value="' + el.id + '">' + ai_HTMLEscape(el.title) + '</div>';
            domContainer.append(cContent);
        }        
	}
}
