g_aActive['settings'] = false;

function settings_Main()
{
	if( !g_aActive['settings'] ) g_aActive['settings'] = true;

    ai_AddToHistory( 'settings', '' );

    var cContent = '<div id="settings">';
    cContent += '<div id="menu_broadcast"><div class="menu_icon"></div><span class="menu_text">' + translate('Трансляция')+ '</span></div>';
    cContent += settings_GetSelectColor()  + settings_GetSelectSizeText() + settings_GetSelectLang() + settings_GetSelectHome();
    cContent += '<div id="menu_login"><div class="menu_icon"></div><span class="menu_text">' + translate('Войти')+ '</span></div>';
    cContent+= '<div id="app_version"> </div>';       
    cContent+= '</div>';
    $('#content').html( cContent );
    menu_SetupLoginBtn();
    cordova.getAppVersion.getVersionNumber().then(function (version) {
        $('#app_version').text(translate ('Версия приложения : ') + '' + version);
    });
}

function settings_GetSelectColor(){
    let color = [
        {def:translate('Красная')}
        ,{dark:translate('Темная')}
    ];
    let key_color = {};
    key_color.key = ai_Color();
    return(settings_GetSelecter('color',key_color, color, translate('Тема оформления')));
}

function settings_GetSelectLang(){
    let lang = [
        {ru:translate('Русский')}
        ,{en:translate('Английский')}
    ];
    let key_lang = {};
    key_lang.key = ai_Lang(true);
    return(settings_GetSelecter('lang',key_lang, lang, translate('Язык')));
}

function settings_GetSelectHome(){
    let home = [
        {vz:translate('Pадио')}
        ,{podcast:translate('Подкасты')}
        ,{news:translate('Новости')}
        ,{userchannels:translate('Трансляция')}
    ];
    let key_home = {};
    key_home.key = ai_StartPage();
    return(settings_GetSelecter('home',key_home, home, translate('Стартовая страница')));
}
function settings_GetSelectSizeText(){
    let size = [
        {12:'12px'}
        ,{13:'13px'}
        ,{14:'14px'}
        ,{15:'15px'}
        ,{16:'16px'}
        ,{17:'17px'}
        ,{18:'18px'}
        ,{19:'19px'}
    ];
    let key_size = {};
    key_size.key = ai_GetSize();
    key_size.val = key_size.key + 'px';
    return(settings_GetSelecter('size',key_size, size, translate('Размер текста в чате')));
}

function settings_GetSelecter(param, value, items, text){

    for (i = 0; i < items.length; i++)
        for (key in items[i]) {
            if(key == value.key)
                value.val = items[i][key];
    }

    let cContent = `<div class="`+ param +`_wrapper">
    <div id="menu_`+param+`">
        <div class="menu_icon"></div>
        <span class="`+param+`_menu">` + text + `</span>
    </div>
    <div class="vselect_wrapper_`+param+` dropdown">
        <div class="vselect_current_`+param+` dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span class="vselect_current_`+param+`__span" data-value="` + value.key + `">` + value.val + `</span>
        </div>
        <div class="vselect_list_`+param+` dropdown-menu" style="padding:0;">`;
    for (let j = 0; j < items.length; j++)
    {
        for (newkey in items[j])
        cContent += `<div class="vselect_list_`+param+`_item dropdown-item" data-value="` + newkey + `">` + items[j][newkey] + `</div>`;
    }						
    cContent += `</div></div></div>`;
    return cContent;
}