﻿var g_aConfig = new Array();
var g_aActive = new Array();
var g_aDownloading = new Array();
var g_aHistory = new Array();

g_aConfig['server_host'] = 'volnorez.com';
g_aConfig['server_protocol'] = 'https';


g_aConfig['default_country_id'] = new Array();
g_aConfig['default_country_name'] = new Array();
g_aConfig['page_ini_elements_cnt'] = 32;						
g_aConfig['page_elements_cnt'] = 32;							
g_aConfig['bottom_autoload_margin'] = 100;						
g_aConfig['default_country_id']['russian'] = 1;					
g_aConfig['default_country_name']['russian'] = 'Россия';		
g_aConfig['default_country_id']['english'] = 153;				
g_aConfig['default_country_name']['english'] = 'United States';	
g_aConfig['channel_id'] = '0';

/*-------------------------------------- GET INFO ------------------------------------------------*/

function ai_GetInfo( cInfoToGet ){		return cInfoToGet == 'server_url' ? (g_aConfig['server_protocol'] + '://' + g_aConfig['server_host'] + '/') : '';	}

/*-------------------------------------- GET LANGUAGE --------------------------------------------*/
function ai_Lang(main = false)
{
	var cLang = ai_Get('lang');
	if(!cLang){
		ai_Set('lang', 'ru');
		return main ? 'ru' : 'RUSSIAN';
	}
	return (main ? cLang : (cLang == 'ru' ? 'RUSSIAN' : 'ENGLISH') );
}

function ai_Color()
{
	var cColor = ai_Get('color');
	if(!cColor){
		ai_Set('color', 'def');
		return 'def';
	}
    return cColor;
}

function ai_StartPage()
{
	var cHome = ai_Get('home');
	if(!cHome){
		ai_Set('home', 'vz');
		return 'vz';
	}
    return (!ai_IsLoggedIn(false) && cHome == 'userchannels' ) ? 'vz' : cHome;
}

function ai_GetSize(){
	var cSize = ai_Get('size');
	if(!cSize){
		ai_Set('size', '14');
		return '14';
	}
    return cSize;
}

function ai_GetPlayerShown(){
	var cShow = ai_Get('playerShown');
	if(!cShow){
		ai_Set('playerShown', 'false');
		return 'false';
	}	
    return cShow;
}

/*--------------------------------- GET URL PARAMS STRING ----------------------------------------*/
function ai_GetURLParamsString(){			return window.location.href.substr(window.location.href.indexOf('?') + 1);			}

function ai_DeserializeQuery( cQuery )
{
	var query_string = {};
	var vars = cQuery.split("&");
	for (var i=0;i<vars.length;i++)
	{
		var pair = vars[i].split("=");
		pair[0] = decodeURIComponent(pair[0]);
		pair[1] = decodeURIComponent(pair[1]);

		if (typeof query_string[pair[0]] === "undefined")
		{
			query_string[pair[0]] = pair[1];

		} else if (typeof query_string[pair[0]] === "string")
		{
			var arr = [ query_string[pair[0]], pair[1] ];
			query_string[pair[0]] = arr;

		}
		else query_string[pair[0]].push(pair[1]);
	} 
	return query_string;
}

/*------------------------------------- GET URL PARAM --------------------------------------------*/
function ai_GetURLParam( cParam )
{
	var aResults = new RegExp('[\?&]' + cParam + '=([^&#]*)').exec(window.location.href);
	if( aResults == null ) return 0;
	return aResults[1] || 0;
}

/*------------------------------------- REMOVE URL PARAM -----------------------------------------*/
function ai_RemoveURLParam(key, sourceURL) {
    var rtn = sourceURL.split("?")[0],
        param,
        params_arr = [],
        queryString = (sourceURL.indexOf("?") !== -1) ? sourceURL.split("?")[1] : "";
    if (queryString !== "") {
        params_arr = queryString.split("&");
        for (var i = params_arr.length - 1; i >= 0; i -= 1) {
            param = params_arr[i].split("=")[0];
            if (param === key) {
                params_arr.splice(i, 1);
            }
        }
        rtn = rtn + "?" + params_arr.join("&");
    }
    return rtn;
}

/*--------------------------------- SET PAGE URL --------------------------------------------------*/
function ai_SetPageURL( cTitle, cPage, cParams )
{
	var cURL = window.location.href;
	if (cURL.indexOf('page=') != -1) cURL = ai_RemoveURLParam( 'page', cURL );
	if (cURL.indexOf('?') != -1) cURL+= '&';
	else cURL+= '?';
	cURL+= 'page=' + cPage;
	if (typeof(cParams) != 'undefined') cURL = ai_RemoveURLParam( 'params', cURL ) + '&params=' + cParams;

	window.history.pushState("string", cTitle, cURL);
}

/*------------------------------------ HTML ESCAPE ------------------------------------------------*/
function ai_HTMLEscape( cText ){	return cText ? cText.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#039;") : '';			}

/*----------------------------------- SHOW CHAMOMILE ----------------------------------------------*/
function ai_Chamomile(b)
{
	var cContent =
		'<div class="chamomile">' +
			'<div class="cssload-container">' +
				'<ul class="cssload-loader">' +
					'<li></li><li></li><li></li><li></li><li></li><li></li>' +
				'</ul>' +
			'</div>' +
		'</div>';
	return cContent;
}

/*--------------------------------------------------- SET ---------------------------------------------------------------*/

function ai_Set( cName, cValue )
{
	if (typeof(Storage) == 'undefined') return;
	localStorage.setItem( cName, cValue );
}

/*--------------------------------------------------- GET ---------------------------------------------------------------*/

function ai_Get( cName )
{
	if (typeof(Storage) == 'undefined') return;
	return localStorage.getItem( cName );	
}

/*-------------------------------------------------- HEX DEC ------------------------------------------------------------*/
function HexDec (hexString) 
{
	hexString = (hexString + '').replace(/[^a-f0-9]/gi, '');
	return parseInt(hexString, 16)
}

/*--------------------------------------------------- HASH --------------------------------------------------------------*/
function ai_Hash( cValue )
{
	var cHash = md5( cValue );
	/* Encode*/
	for(var i=0;i<31;i++)
	{
		var cTmp = (((HexDec(cHash.charAt(i) + cHash.charAt(i+1))^156)<<5)&0xff | ((HexDec(cHash.charAt(i) + cHash.charAt(i+1))^156)>>3)).toString(16);
		if (cTmp.length == 1) cTmp = '0' + cTmp;
		cHash = cHash.substr(0, i) + cTmp + cHash.substr(i+2);
	}
	return cHash;
}

/*----------------------------------------------- IS LOGGED IN ----------------------------------------------------------*/
function ai_IsLoggedIn( bCheckOnServer, cCallbackOK, cCallbackFalse )
{

	var cLogin = ai_Get('login');
	if( !bCheckOnServer )
	{
		if (cLogin != null && cLogin != '') return true;
		return false;
	}
	if (cLogin == null || cLogin == '')
	{
		if (typeof(fnCallbackFalse) != 'undefined')
		{
			ai_Logout();
			var aResult = new Array();
			aResult.result = 'ACCESS_DENIED';
			window[fnCallbackFalse]('Login error', aResult);
		}
		return false;
	}
	client_GetAuthInfo( ai_Get('login'), ai_Get('pw'), cCallbackOK, cCallbackFalse );
	return false;
}

/*--------------------------------------------------- LOGOUT ------------------------------------------------------------*/
function ai_Login( cLogin, cHashedPassword )
{
	ai_Set('login', cLogin);
	ai_Set('pw', cHashedPassword);
	menu_SetupLoginBtn();
}

/*--------------------------------------------------- LOGOUT ------------------------------------------------------------*/
function ai_Logout()
{
	ai_Set('login', '');
	ai_Set('pw', '');
	ai_Set('User_id', '');
	menu_SetupLoginBtn();
	$('#menu_player_fav').removeClass('fav');
	
	if(sync){
		sync.disconnect();
		sync = null;
		$('.channel_order').removeAttr('token');
		order_GUI();
	}
	ai_SetPageURL('', ai_StartPage());
	index_ShowCurrentPage();
}

/*---------------------------------------------------- ERROR DLG --------------------------------------------------------*/
function ai_ErrorDlg( cTitle, cError )
{
	if (!$('#alert_wrapper').length) alert( cTitle + "\n" + cError );
	else
	{
		$('#alert_title').text(cTitle);
		$('#alert_text').text(cError);
		$('#alert_wrapper').css('display', 'block');
	}
}

/*------------------------------------------------------ ALERT ----------------------------------------------------------*/
function ai_Alert( cMessage ){		ai_ErrorDlg( '', cMessage );		}

/*-------------------------------------------------- ADD TO HISTORY -----------------------------------------------------*/
function ai_AddToHistory( cPage, cURLParams ){		g_aHistory.push( 'index.html?page=' + cPage + '&' + cURLParams );		}