function applaySkin(dataSkin, params){
    let skin = "";
    switch (dataSkin) 
    {
        case 'default'  :    skin = wchat_SkinsDefault(dataSkin, params);	    break;
        case 'skin_1'   :    skin = wchat_SkinRightUsrList(dataSkin, params);	break;
        case 'skin_2'   :    skin = wchat_SkinLeftUsrList(dataSkin, params);	break;
        case 'skin_3'   :    skin = wchat_SkinRightUsrList(dataSkin, params);	break;
        case 'skin_4'   :    skin = wchat_SkinFlash(dataSkin, params);      	break;
        default         :    skin = wchat_SkinsDefault('default');           	break;
    }
    $('#chat_wrapper').append(skin);
}

function wchat_SkinsDefault(skin, new_params = '')
{
    updateCssParams(skin, new_params);
	let cContent = `<div class="chat_cont">
		<div class="chat_top">`
			+wchat_template_BanDlg()
			+wchat_template_MuteUserDlg()
			+wchat_template_SmileysDlg()
			+wchat_template_Poll()
			+wchat_template_SettingsDlg()
			+`<div class="chat_history_container">`
				+wchat_template_HistoryTabs()
				+wchat_template_HistoryPages()
				+wchat_template_MessageMenu()
                +wchat_template_ReportMenu()
                +wchat_template_Preloader()
			+`</div>
        </div>`
        +wchat_template_Left(1)
		+`<div class="chat_bottom">`
			+wchat_template_BanBanner()
			+wchat_template_SettingsBtn()
			+wchat_template_PollBtn()
			+wchat_template_SendBtn()
			+wchat_template_SmileBtn()
			+`<div class="chat_message_input" contenteditable="true" placeholder="` + translate('Напишите сообщение') + `..."></div>
		</div>`
        +wchat_template_LoginBanner()
        +wchat_template_Language()		
    +`</div>`;
    return cContent;
}

function wchat_SkinRightUsrList(skin, new_params = '')
{
    updateCssParams(skin, new_params);
    let cContent = `<div class="chat_cont">
            <div class="chat_top">`
                +wchat_template_BanDlg() 
                +wchat_template_MuteUserDlg()
                +wchat_template_SmileysDlg()
                +wchat_template_SettingsDlg()
                +wchat_template_Poll()
                +`<div class="chat_history_container">` 
                    +wchat_template_HistoryTabs() 
                    +wchat_template_HistoryPages() 
                    +wchat_template_MessageMenu() 
                    +wchat_template_ReportMenu()
                    +wchat_template_Preloader()
                +`</div>
            </div>
            <div class="chat_bottom">`
                +wchat_template_BanBanner()
                +wchat_template_LoginBanner()
                +`<div class="chat_message_container">
                    <div class="chat_message_input" contenteditable="true" placeholder="` + translate('Напишите сообщение') + `..."></div>` 
                        +wchat_template_SmileBtn()
                        +wchat_template_PollBtn()
                +`</div>`
                +wchat_template_SettingsBtn()
                +wchat_template_SendBtn()		
            +`</div>`
            +wchat_template_Left()
            +wchat_template_Language()
        +`</div>`;
    return cContent;
}

function wchat_SkinLeftUsrList(skin, new_params = '')
{
    updateCssParams(skin, new_params);
	let cContent = `<div class="chat_cont">
		<div class="chat_top">`
			+wchat_template_BanDlg()
			+wchat_template_MuteUserDlg()
			+`<div class="chat_history_container">` 
				+wchat_template_HistoryTabs()
				+wchat_template_HistoryPages() 
				+wchat_template_MessageMenu() 
                +wchat_template_ReportMenu()
                +wchat_template_Preloader()
			+`</div>`
			+wchat_template_SmileysDlg()
			+wchat_template_SettingsDlg()
			+wchat_template_Poll()
		+`</div>
		<div class="chat_bottom">`
			+wchat_template_BanBanner()
			+wchat_template_LoginBanner()
			+`<div class="chat_message_container">
				<div class="chat_message_input" contenteditable="true" placeholder="` + translate('Напишите сообщение') + `..."></div>`
					+wchat_template_SmileBtn()
					+wchat_template_PollBtn()
			+`</div>`
			+wchat_template_SettingsBtn()
			+wchat_template_SendBtn()		
		+`</div>`
        +wchat_template_Left()
        +wchat_template_Language()
	+`</div>`;
    return cContent;
}

function wchat_SkinFlash(skin, new_params = '')
{
    updateCssParams(skin, new_params);
	let cContent = `<div class="chat_cont">
        <div class="chat_top">`
			+wchat_template_BanDlg() 
			+wchat_template_MuteUserDlg()
			+wchat_template_SmileysDlg()
			+wchat_template_SettingsDlg('chat_dlg_top')
			+wchat_template_Poll('chat_dlg_top')
			+`<div class="chat_history_container chat_fullmsg">`
				+wchat_template_HistoryTabs() 
				+wchat_template_HistoryPages() 
				+wchat_template_MessageMenu()
                +wchat_template_ReportMenu()
                +wchat_template_Preloader()
			+`</div>
            <div class="wchat_top_panel">`
            +wchat_template_SettingsBtn()
            +wchat_template_PollBtn()
            +`</div>
		</div>
		<div class="chat_bottom">`
			+wchat_template_BanBanner()
			+wchat_template_LoginBanner()
			+`<div class="chat_message_container">
				<div class="chat_message_input" contenteditable="true" placeholder="` + translate('Напишите сообщение') + `..."></div>` 
					+wchat_template_SmileBtn()
			+`</div>`
			+wchat_template_SendBtn()		
		+`</div>`
        +wchat_template_Left()
        +wchat_template_Language()
        +`</div>`;
    return cContent;
}

function wchat_template_Left(main = false){
return main ? 
    `<div class="chat_left">
        <div class="chat_users_container">
            <div class="chat_users"></div>
        </div>
        <div class="chat_nick_input" contenteditable="true"></div>
        <div class="chat_show_users_btn"><div></div></div>
    </div>`
:
    `<div class="chat_left">
        <div class="chat_users_container">
            <div class="chat_users_subcont">
                <div class="chat_users"></div>
            </div>
        </div>
        <div class="chat_nick_input" contenteditable="true"></div>
        <div class="chat_show_users_btn"><div></div></div>
    </div>`;
}

function wchat_template_Preloader(){
return `<div class="chat_preloader chat_icon-preloader">
            <span class= "path2"></span>
            <span class= "path5"></span>
            <span class= "path4"></span>
            <span class= "path6"></span>
            <span class= "path1"></span>
            <span class= "path3"></span>	
        </div>`;
}
function wchat_template_BanDlg()
{
	return `<div class="chat_ban_dlg">
		<span class="chat_close_btn"></span>
		<div class="chat_title">Забанить<br/> пользователя:<br/><span></span></div>
		<div class="chat_push_btn" data-action="hour">` + translate('На час') + `</div>
		<div class="chat_push_btn" data-action="day">` + translate('На день') + `</div>
		<div class="chat_push_btn" data-action="week">` + translate('На неделю') + `</div>
		<div class="chat_push_btn" data-action="unban">` + translate('Разбанить') + `</div>
        <div class="chat_push_btn" data-action="permanent">` + translate('Навсегда') + `</div>
    </div>`;
}
/**
 * Block user dialog
 */
function wchat_template_MuteUserDlg()
{
	return `<div class="chat_mute_dlg">
		<span class="chat_close_btn"></span>
		<div class="chat_title">` + translate('Блокировать <br/>сообщения от пользователя:<br/>') + `<span></span></div>
		<div class="chat_push_btn" data-action="mute">` + translate('Блокировать') + `</div>
		<div class="chat_push_btn" data-action="unmute">` + translate('Разблокировать') + `</div>
	</div>`;
}
/**
 * Smileys dialog
 */
function wchat_template_SmileysDlg()
{
	return `<div class="chat_dlg chat_smileys">
                <div class="chat_scroll_left"></div>
                <div class="chat_scroll_right"></div>
                <div class="smileys_tabs"></div>
            </div>`;
}
/**
 * Poll dialog
 */
function wchat_template_Poll(dlgClass = '')
{
return `<div class="chat_dlg chat_poll `+dlgClass+`">
            <div>`+ translate('Опрос недоступен для текущего тарифного плана')+`</div>
            <div class="chat_poll_title">` + translate('Вопрос') + `</div>
            <div class="chat_poll_question"></div>
            <div>
                <div class="chat_poll_title">` + translate('Варианты ответов') + `</div>
                <div class="chat_poll_questions_cont">
                    <div class="chat_poll_questions">
                        <div class="chat_poll_variant_template" style="display:none">
                            <div class="chat_poll_input"></div>
                            <div class="chat_poll_result">
                                <div class="chat_poll_result_bar">
                                    <div class="chat_poll_result_fill"></div>
                                </div>
                                <div class="chat_poll_result_text"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="chat_poll_control">
                    <div class="chat_checkbox chat_poll_show_results">`+ translate('Показывать результаты') +`</div>
                    <div class="chat_push_btn chat_poll_start_btn chat_poll_start">
                        <span class="chat_poll_start">`+translate('Начать опрос')+`</span>
                        <span class="chat_poll_stop">`+translate('Закончить опрос')+`</span>
                        <span class="chat_poll_new">`+translate('Новый опрос')+`</span>
                    </div>	
                </div>
            </div>
        </div>`;
}
/**
 * Settings dialog
 */
function wchat_template_SettingsDlg(dlgClass = '')
{
	return `<div class="chat_dlg chat_settings `+dlgClass+`">
                <div class="chat_checkbox chat_hear_msg_sound">`+translate('Звук личных сообщений')+`</div>
                <div class="chat_checkbox chat_show_banned_btn">`+translate('Видеть забаненных')+`</div>
                <div class="chat_checkbox chat_allow_unauth_login">`+translate('Разрешить вход без регистрации')+`</div>
                <div class="chat_clear_history_btn">`+translate('Очистить чат')+`</div>
            </div>`;
}
/**
 * History tabs
 */
function wchat_template_HistoryTabs()
{
return `<div class="chat_tabs">
	<div class="chat_common_tab selected" data-tab="common">`+translate('Общий')+`<span class="newcounter" style="display:none;"></span></div>
	<div class="chat_scroll_left"></div>
	<div class="chat_scroll_right"></div>
	<div class="chat_private_tabs"></div>
</div>`;
}
/**
 * History pages
 */
function wchat_template_HistoryPages()
{
return `<div class="chat_history_pages">
	<div class="chat_history_wrapper selected">
		<div class="chat_scroll_down"></div>
		<div class="chat_history" data-tab="common"></div>
	</div>
</div>`;
}
/**
 * Message menu
 */
function wchat_template_MessageMenu()
{
    return `<div class="chat_msg_menu chat_menu_dlg">
    <div class="chat_push_btn" data-action="private_msg">`+translate('Личное сообщение')+`</div>
	<div class="chat_push_btn" data-action="delete">`+translate('Удалить')+`</div>
	<div class="chat_push_btn" data-action="hide">`+translate('Скрыть')+`</div>
    <div class="chat_push_btn" data-action="report">`+translate('Пожаловаться')+`</div>
	<div class="chat_push_btn" data-action="ban">`+translate('Забанить')+`</div>
	<div class="chat_push_btn" data-action="unban">`+translate('Разбанить')+`</div>
</div>`;
}
/**
 * Message report menu
 */
function wchat_template_ReportMenu()
{
    return `<div class="chat_report_menu chat_menu_dlg">
	<span class="chat_close_btn"></span>
	<div class="chat_title">`+translate('Пожаловаться')+`</div>
	<div class="chat_push_btn" data-type="insult">`+translate('Оскорбление')+`</div>
	<div class="chat_push_btn" data-type="adult_content">`+translate('Материал для взрослых')+`</div>
	<div class="chat_push_btn" data-type="drug_advocacy">`+translate('Пропаганда наркотиков')+`</div>
	<div class="chat_push_btn" data-type="child_porn">`+translate('Детская порнография')+`</div>
	<div class="chat_push_btn" data-type="extremism">`+translate('Экстремизм/Насилие')+`</div>
	<div class="chat_push_btn" data-type="suicide">`+translate('Призыв к суициду')+`</div>
</div>`;
}
/**
 * Ban banner
 */
function wchat_template_BanBanner()
{
	return '<div class="chat_ban_banner">'+ translate('Вы забанены') +'</div>';
}
/** Settings button */
function wchat_template_SettingsBtn()
{
	return '<div class="chat_settings_btn chat_icon-settings"></div>';
}
/** Poll button */
function wchat_template_PollBtn()
{
	return '<div class="chat_poll_btn chat_icon-poll chat_hidden"></div>';
}
/** Send button */
function wchat_template_SendBtn()
{
    return  `<div class="chat_send_btn">
        <div class="chat_send_icon chat_icon-send_circle"></div>
        <div class="chat_push_btn">`+translate('Отправить')+`</div>
	</div>`;
}
/** Smile button */
function wchat_template_SmileBtn()
{
	return '<div class="chat_smile_btn chat_icon-smile"></div>';
}
/**
 * Login banner
 */
function wchat_template_LoginBanner()
{
    return `<div class="chat_login">
                <span>`+translate('<u>Авторизуйтесь</u> чтобы написать в чат')+`</span>
            </div>`;
}
function wchat_template_Language()
{
    return   `<div data-cont="language" style="display:none">
        <div data-id="nick_already_exists">`+translate('Такой ник уже используется')+`</div>
        <div data-id="cant_set_empty_nick">`+translate('Нельзя установить пустой ник')+`</div>
        <div data-id="wrong_nick">`+translate('Недопустимое имя')+`</div>
        <div data-id="msg_flood_detected">`+translate('Вы слишком часто отсылаете сообщения')+`/div>
        <div data-id="target_user_not_found">`+translate('Пользователь не найден')+`</div>
        <div data-id="chat_month_names">` + wchat_GetMonthNames() +`</div>
        <div data-id="date_format">`+ wchat_GetDateFormat() +`</div>
    </div>`;
}

function wchat_GetMonthNames() {
    return translate('Января,Февраля,Марта,Апреля,Мая,Июня,Июля,Августа,Сентября,Октября,Ноября,Декабря');    
}

function wchat_GetDateFormat() {
    /* format: %d - date (1 - 31), %m - month name, %y - year XXXX*/

    let cLang = ai_Lang();
    let format = {};
           
	format.full = translate('%d %m %y');
	format.short = translate('%d %m');
	format.today = translate('сегодня');
	format.yesterday = translate('вчера');    
    return JSON.stringify(format);
}

function updateCssParams(skin, new_params){

    if($('#chat_style').attr('data') != skin){
        $('head').append('<link id="chat_style" data="'+skin+'" rel="stylesheet" type="text/css" href="css/chat/'+skin+'.css">');
        $('#chat_style[data!="'+skin+'"]').remove();
    }    
    var params = {
        '--vchat-scroll-padding' : '60',
        '--vchat-scroll-width': '10',
        '--vchat-poll-dlg-shift': '-13',
        '--vchat-bg_clr':'240,240,240',
        '--vchat-panel_clr':'184,184,184',
        '--vchat-ib_clr':'219,219,219',
        '--vchat-b_clr':'193,38,42',
        '--vchat-txt_clr':'30,30,30',
        '--vchat-dj_clr':'30,30,30',
        '--vchat-label_clr':'120,120,120',
        '--vchat-btnt_clr':'255,255,255',
        '--vchat-omsgbg_clr':'234,234,234',
        '--vchat-msgbg_clr':'241,241,241'
    };
    $('html').attr('style', '');
    switch (skin) 
    {
        case 'default'  :    
        
            params['--vchat-scroll-width'] = '5';	
            params['--vchat-bg_clr']='255,255,255';	
            params['--vchat-panel_clr']='249,249,249';
            params['--vchat-icon_clr']='193,38,42';
            break;
            
        case 'skin_1'   :    
            params['--vchat-panel_clr'] = '241,241,241';	
            params['--vchat-icon_clr']='70,126,168';	
            break;

        case 'skin_2'   :    
            params['--vchat-ib_clr'] = '212,212,212';	
            params['--vchat-icon_clr']='183,99,0;';
            break;

        case 'skin_3'   :  
            params['--vchat-bg_clr']='237,237,237';	
            params['--vchat-ib_clr']='210,210,210';
            params['--vchat-icon_clr']='227,157,62'; 
            break;

        case 'skin_4'   :   
            params['--vchat-scroll-width'] = '15';	
            params['--vchat-bg_clr']='219,219,219';	
            params['--vchat-ib_clr']='255,255,255';
            params['--vchat-b_clr']='107,107,107';
            params['--vchat-icon_clr']='75,134,180';
            params['--vchat-label_clr']='41,69,117';    	
            break;
    }
    if(new_params != ""){
        new_params = new_params.replace(/','/g, " ").replace(/'/g,"").split(" ");
        new_params.forEach(item => {
            it = item.split(':');
            params['--vchat-'+ it[0]] = it[1];
        }); 
    }
    for(item in params){
        $('html').css(item, params[item]);
    };
    $('html').css('--vchat-size-text', ai_GetSize()+'px');   
}

