﻿
g_aActive['menu'] = false;
var g_aChannelInfo = null;
var playerShown = 'false';
/*------------------------------------------------ MAIN -------------------------------------------------*/
function menu_Main()
{
	/* Turn off echo cancellation (see broadcast.js -> broadcast_Main())*/
	if (typeof(broadcaster) != 'undefined')
	{
		broadcaster.disconnect();
		console.log('Echo cancellation turn off');
	}
	/* Break current chat connection*/
	if (chatGUI)
	{
		chatGUI.disconnect();
		chatGUI = null;
		console.log('Chat disconnected');
	}
	/* Show "play" button if it was previously hidden*/
	menu_DisplayPlayButton( true );
	StopPlayer();
	if (g_aActive['menu']) return;
    menu_HTML();
	menu_OnClickButtons();
	menu_OnClickPlay();
	menu_OnCloseAlert();
	g_aActive['menu'] = true;
}

/*--------------------------------------------- MENU HTML -----------------------------------------------*/
function menu_HTML()
{
	/* Header*/
	var cContent = '<div id="menu_player" radio_type="vz" station_id="' + g_aConfig['channel_id'] +'">';
		cContent+= '<div id="menu_player_play"><div id="player_waiting"></div></div>';
		cContent+= '<div id="menu_player_info">';
			cContent += '<div id="menu_player_title"></div>';
			cContent += '<div class="vplayer_InfoCont">';
				cContent+= '<div class="vplayer_DescCont" >';
					cContent+= '<div class="vplayer_Description"><div></div><div></div></div>';
					cContent+= '<div class="wrapper_Description"></div>';
				cContent+= '</div>';
				cContent+= '<div class="vplayer_Connecting">'+translate('Подключение...')+'</div>';
				cContent+= '<div class="vplayer_Offline">'+translate('Cтанция оффлайн')+'</div>';
				cContent+= '<div class="vplayer_Limited">'+translate('Превышен лимит слушателей')+'</div>';
			cContent+= '</div>';
		cContent+= '</div>';
	cContent+= '</div>';
	cContent += '<div id="menu_player_fav"></div>';
	cContent += '<div class="channel_order"></div>';	
	$('#header').html(cContent);
	/* Footer*/
	aMainMenu = [ 'menu_vz_radio','menu_podcast','menu_news','menu_fav', 'menu_settings'];
	cContent = '<div id="main_menu">';
	for (let i = 0; i < aMainMenu.length; i++){
		cContent += '<div id="' + aMainMenu[i] + '" class="main_menu_btn"><div class="menu_icon"></div></div>';
	}
	cContent+= '</div>';
	/* новое меню конец*/
	cContent+= '<div id="alert_wrapper">';
		cContent+= '<div id="alert_dlg">';
			cContent+= '<div id="alert_title"></div>';
			cContent+= '<div id="alert_text"></div>';
			cContent+= '<input type="submit" id="alert_ok" value="OK">';
		cContent+= '</div>';
	cContent+= '</div>';

	$('footer').html(cContent);

	cContent = '<div id="podcast_play">'+ ai_Chamomile()+ '</div>';
	cContent+= '<div id="podcast_next"></div>';
	cContent+= '<div id="podcast_prev"></div>';
	cContent+= '<div id="podcast_stop"></div>';
	$('#player_podcast').html(cContent);
	
	playerShown = ai_GetPlayerShown();
	if(playerShown == 'false'){
		cContent =`<div id="wrapper_title">`+translate('Плеер для подкастов')+`</div>
		<div id="wrapper_left">`+translate('Проведите по экрану влево что бы показать плеер')+`</div>
		<div class="arrow_left"><span></span><span></span><span></span></div>
		<div id="wrapper_right">`+translate('Проведите по экрану вправо что бы скрыть плеер')+`</div>
		<div class="arrow_left right"><span></span><span></span><span></span></div>`;
		$('#wrapper_player').html(cContent);
	}
	/* Setup login button*/
	menu_SetupLoginBtn();
}

/*----------------------------------------- SETUP LOGIN BUTTON -------------------------------------------*/
function menu_SetupLoginBtn(){			$('#menu_login .menu_text').html(translate(!ai_IsLoggedIn(false) ? 'Войти' : 'Выйти'));		}

/*-------------------------------------------- SHOW PAGE -------------------------------------------------*/
function menu_ShowPage( cPage )
{   
	if (ai_GetURLParam('page') == cPage) return;
	ai_SetPageURL( '', cPage );
    index_ShowCurrentPage();
}

/*------------------------------------------- PLAY VOLNOREZ / FM ----------------------------------------------*/
function menu_Play(cTitle, cChannelID, type)
{
	$('#menu_player').show();
	if (typeof (cChannelID) != 'undefined') $('#menu_player').attr('radio_type', type).attr('station_id', cChannelID);
	if (typeof(cTitle) != 'undefined')
	{
		$('#menu_player_title').text(cTitle);
	}
	if ($('#broadcaster_cont').length) return; /* don't play on broadcast page*/
	if ( !($('#menu_player').attr('station_id') == RadioPlayer.cCurStationID && RadioPlayer.objPlayer.isPlaying) ){
		if( type == 'vz')
			RadioPlayer.PlayVZ($('#menu_player').attr('station_id'));
		else
			RadioPlayer.PlayFM($('#menu_player').attr('station_id'));
	}
	else if(($('#menu_player').attr('station_id') == RadioPlayer.cCurStationID && RadioPlayer.objPlayer.isPlaying)){
		RadioPlayer.UpdateDescription();		
	}
}

/*----------------------------------------------- STOP ---------------------------------------------------*/
function menu_Stop(){		RadioPlayer.Stop();		}

/*---------------------------------------- DISPLAY PLAY BUTTON -------------------------------------------*/
function menu_DisplayPlayButton( bShow )
{
	if ($('#menu_player_play').length) $('#menu_player_play').css('display', bShow ? 'block' : 'none');
}

/*------------------------------------------- ON CLICK BUTTONS -------------------------------------------*/
function menu_OnClickButtons()
{
	$('#footer').delegate('#menu_vz_radio', 'click', function () { 
		if($('#bcc_vz_tab').hasClass('bcc_active') && $("#channels_list.vz").hasClass('search_vz')){
		$("#channels_list.vz").html(ai_Chamomile());    
        $("#vz").removeClass('full_content');
        client_GetVZChannels('OnShowChannelsVZ', parseInt($('.vselect_current_genre__span').attr('data-value')), $('.vselect_current_listen__span').attr('data-value'),0, g_aConfig['page_elements_cnt'], '#channels_list');
		return;
	}
		menu_ShowPage('vz'); 
	});
	$('#footer').delegate('#menu_podcast', 'click', function () { menu_ShowPage('podcast'); });
	$('#content').delegate('#menu_broadcast', 'click', function () {
		if (!ai_IsLoggedIn(false)) login_Main();
		else menu_ShowPage('userchannels');
	});
	$('#footer').delegate('#menu_fav', 'click', function () {if (!ai_IsLoggedIn(false)) login_Main();
		else menu_ShowPage('fav'); });
	$('#footer').delegate('#menu_news', 'click', function () {
		if($('#menu_news').hasClass('active') && $('#news_article_content:visible')){
			article_Hide();
		} else
		menu_ShowPage('news'); 
	});
	$('#content').delegate('#menu_login', 'click', function () {
		if (!ai_IsLoggedIn(false))  login_Main(); else ai_Logout();
	});
	$('#footer').delegate('#menu_settings', 'click', function () {	 menu_ShowPage('settings'); });
	
}

function updateStatusActive(el){
	$('.main_menu_btn').removeClass('active');
	$(el).addClass('active');
	$('#player_podcast').removeClass('open');
}

/*----------------------------------------------- ON PLAY ------------------------------------------------*/
function menu_OnClickPlay()
{
	$('#header').delegate('#menu_player', 'click', function(){
		if ($('#menu_player_play').hasClass('playing') || $('#menu_player_play').hasClass('buffering')) 
			menu_Stop();
		
		else		
			menu_Play(undefined, undefined, $('#menu_player').attr('radio_type'));
	});
}

/*---------------------------------------------- ON CLOSE ALERT ------------------------------------------*/
function menu_OnCloseAlert()
{
	$('#footer').delegate('#alert_ok', 'click', function(){
		if ($('#alert_wrapper').css('display') == 'none') $('#alert_wrapper').css('display', 'block'); 
		else $('#alert_wrapper').css('display', 'none');
	});
}

function menu_SetColorBg(){
	/* Append link element to HTML head*/
	$('head').append('<link rel="stylesheet" type="text/css" href="css/' + ('global_' + ai_Color()) + '.css">');  	
}