
g_aActive['vzchannel'] = false;
g_aActive['fmchannel'] = false;
g_aActive['broadcast'] = false;
var g_aCurChannelInfo = null;
var g_aConfigs	= null;
var cSmileysSheets = '';
var aSmileys = {};
var catSmiles = '';

/*------------------------------------------------ MAIN -----------------------------------------------------------*/
function channel_Main( nChannelID, type )
{
	let channel_type = (type == 'broadcast') ? type : type + 'channel';
	if( !g_aActive[channel_type] )
	{
		if(channel_type == 'broadcast'){
	
			broadcaster = new Broadcaster('raw16', 'js/lib/encoderWorker.min.js', 'js/lib/decoderWorker.min.js');
			broadcaster.onLoginRequest = broadcast_OnBCLoginRequest;
			broadcaster.onDisconnect = broadcast_OnBCDisconnect;
			broadcaster.onLogin = broadcast_OnBCLogin;
			broadcaster.onAutoBCState = broadcast_OnAutoDJState;
			broadcaster.onStartCapture = broadcast_OnStartCapture;
			broadcaster.onStopCapture = broadcast_OnStopCapture;
			broadcaster.onCaptureError = broadcast_OnCaptureError;
			broadcaster.onMicSignal = broadcast_OnMicSignal;
	
		}
		else{			
			chat = new Chat();
		}
		g_aActive[channel_type] = true;
	}

	ai_AddToHistory( channel_type ,'params=' + nChannelID );

	if(channel_type == 'broadcast'){
		menu_DisplayPlayButton( false );
		if(sync){
			sync.disconnect();
			sync = null;
		}
		$('#header').removeClass('fav');
		$('#header').removeClass('track');
	}
	channel_HTML( nChannelID, channel_type);

	if(type == 'broadcast'){
		client_GetChannelParams( nChannelID, undefined, 'broadcast_OnGotChannelInfo', 'channel_OnFailChannelInfo' );
	}
    else if(type == 'fm'){
        client_GetFMParams( 'fmstation_OnGotFMStationInfo', nChannelID, undefined );
    }        
    else 
        client_GetChannelParams(nChannelID, undefined, 'vzchannel_OnGotChannelInfo', 'channel_OnFailChannelInfo');
}

/*--------------------------------------------------- HTML --------------------------------------------------------*/
function channel_HTML( nChannelID , channel_type)
{
	var cContent = '<div id="'+channel_type+'" channel_id="' + nChannelID + '">';
	if(channel_type == 'fmchannel'){
        cContent+= '<div id="fm_info">'+ translate('Внимание! Данный чат не является официальным чатом станции. Ведущие Вас не видят') +'</div>';
    }

	if(channel_type == 'broadcast'){
		cContent+= '<div id="broadcaster_cont">';			
			cContent+= '<div id="broadcast_btn">';
				cContent+= '<div id="broadcast_status">' + ai_Chamomile(true) + '</div><div class="broadcast_label">' + translate('Трансляция') + '</div>';
				cContent+= '<div id="mic_level_cont"><div id="mic_level"></div></div>';	
			cContent+= '</div>';		
			cContent+= '<div id="broadcast_autodj_btn">';
				cContent+= '<div id="broadcast_autodj_status">' + ai_Chamomile(true) + '</div><div class="broadcast_label">' + translate('Автодиджей') + '</div>';
			cContent+= '</div>';
		cContent+= '</div>';			
		cContent += '<div id="broadcast_alert" style="display:none">' + translate('Трансляция доступна только для станций на HTML5') + '</div>';
		cContent+= '<div id="chat_wrapper">'+ chat_HTML( nChannelID )+'</div>';
	}
	else {
		cContent+= '<div id="bcc_chat" style="display:block;"><div id="chat_wrapper">'+ chat_HTML( nChannelID )+'</div></div>';
		if( channel_type == 'vzchannel'){
			cContent+= '<div id="bcc_podcast"></div>';
			cContent+= `<div id="bcc_news">
			<div id="news_list_content" style="display:block;"></div><div id="news_article_content"></div>
			</div>`;
		}
	}
	cContent+= '</div>';
	$('#content').html(cContent);
	if(channel_type == 'fmchannel')	applaySkin('','');
}

/*----------------------------------------------- ON GOT CHANNEL INFO --------------------------------------------------*/
function vzchannel_OnGotChannelInfo( objData )
{
	g_aCurChannelInfo = objData;
	applaySkin(objData.skin ? objData.skin : ''  ,  objData.skinParams ? objData.skinParams : '');
	menu_Play(objData.title, objData.id, 'vz');
	let sub_menu = $('#header_sub_menu');
	sub_menu.removeClass('active').removeClass('thee').removeClass('two');
	let cContent = '<div class="bcc_tab bcc_active" id="bcc_chat_tab" data-tab="#bcc_chat">' + translate('Чат') + '</div>';
	
	if(objData.podcast > 0 || objData.news > 0){
		if(objData.podcast > 0)
			cContent += '<div class="bcc_tab" id="bcc_podcast_tab" data-tab="#bcc_podcast">' + translate('Подкасты') + '</div>';
		if( objData.news > 0)
			cContent += '<div class="bcc_tab" id="bcc_news_tab" data-tab="#bcc_news">' + translate('Новости') + '</div>';
		
		sub_menu.empty().append(cContent);

		if(objData.podcast > 0 && objData.news > 0)			sub_menu.addClass('thee');		
		else sub_menu.addClass('two');

		sub_menu.addClass('active');
	}
	else
		$('#vzchannel').addClass('onli_chat');

	if(objData.podcast > 0){
		$("#bcc_podcast").append(ai_Chamomile(true));
		client_GetPodcastList('record_OnShowList', 0, ai_GetURLParam('params'));		
	}
	LoadSmileys( objData.id);
}

function fmstation_OnGotFMStationInfo( objData )
{
	g_aCurChannelInfo = objData;	
	menu_Play( objData.title, objData.id, 'fm');
	LoadSmileys( objData.id);
}

function broadcast_OnGotChannelInfo( objData )
{
	g_aCurChannelInfo = objData;
	applaySkin(objData.skin ? objData.skin : ''  ,  objData.skinParams ? objData.skinParams : '');
	menu_Play( ai_HTMLEscape(objData.title), objData.id, 'vz');
	menu_Stop();
	var bc = typeof(objData.bc) == 'undefined' || objData.bc == '1';
	$('#broadcaster_cont').css('display', bc ? 'block' : 'none');
	$('#broadcast_alert').css('display', bc ? 'none' : 'block');
	if (bc) broadcaster.connect( objData.live_url );
	LoadSmileys( objData.id);
}

function LoadSmileys(id){
	if(g_aCurChannelInfo == null || !Object.keys(aSmileys).length){
		client_GetSmileys( id, 'channel_OnChatGotSmileys', 'channel_OnChatSmileysError');
    }
    else{
        $('.smileys_tabs').append( catSmiles );
        $('.chat_smileys').prepend(cSmileysSheets);
        chat_Ready( g_aCurChannelInfo.chat_url, aSmileys );
    }
}
/*----------------------------------------------- ON FAIL CHANNEL INFO -------------------------------------------------*/
function channel_OnFailChannelInfo( cError, objData ){		ai_ErrorDlg( cError );	}

/*------------------------------------------------ ON CHAT GOT SMILEYS -------------------------------------------------*/
function channel_OnChatGotSmileys( objData )
{
	for(var i=0;i<objData.groups.length;++i)
	{
		let category = '<div data-tab="' + objData.groups[i].id + '"' + (i==0 ? ' class="selected"': '') + '>' + objData.groups[i].title + '</div>';
		catSmiles += category;
		$('.smileys_tabs').append( category );
		cSmileysSheets+= '<div data-tab="' + objData.groups[i].id + '" class="smileys_sheet' + (i==0 ? ' selected':'') + '">';
		for(var j=0;j<objData.groups[i].smileys.length;++j)
			cSmileysSheets+= '<div data-id="' + objData.groups[i].smileys[j].id + '" class="' + objData.groups[i].smileys[j].class + '"></div>';
		cSmileysSheets+= '</div>';
	}
	$('.chat_smileys').prepend(cSmileysSheets);

	for(var i=0;i<objData.groups.length;++i)
		for(var j=0;j<objData.groups[i].smileys.length;++j)
			aSmileys[(objData.groups[i].smileys[j].id).toString()] = {class:objData.groups[i].smileys[j].class, img:objData.groups[i].smileys[j].img};

	chat_Ready( g_aCurChannelInfo.chat_url, aSmileys );
}

/*----------------------------------------------- ON CHAT SMILEYS ERROR ------------------------------------------------*/
function channel_OnChatSmileysError( cError, objData ){		chat_Ready( g_aCurChannelInfo.chat_url, null );		}