g_aActive['article'] = false;
/*--------------------------------------------- ON SHOW NEWS LIST ------------------------------------------------------*/
function news_OnShowListAllNews( objData ){			news_OnShowList( objData, '#news_list_content', 'news');		}
function news_OnShowListStationNews( objData ){		news_OnShowList( objData, '#news_list_content', 'bcc_news');	}

function news_OnShowList( objData, param, page )
{
	var domContainer = $(param);
	if (domContainer.find('.chamomile').length) 
		domContainer.find('.chamomile').remove(); 

	setTimeout(function () { g_aDownloading[page] = false; }, objData.news.length ? 500 : 2000);	

    for (var i = 0; i < objData.news.length; i++) 
	{
		var objNews = objData.news[i];
		var cContent = '<div class="news_cont" article_id="' + objNews.id + '">';
			cContent+= '<div class="new_wrapper"><div class="news_action_btn"></div>';
				if (objNews.image_url != false)
					cContent+= '<img class="news_thumb" src="' + g_aConfig['server_protocol'] + ':' + objNews.image_url + '" />';
				else
					cContent+= '<div class="news_no_photo"></div>';
				cContent+= '<div class="news_title">' + ai_HTMLEscape(objNews.title) + '</div>';
				cContent+= '</div>';
			cContent+= '</div>';
		domContainer.append(cContent);
    }
	if( !objData.news.length ){
        $("#"+page).addClass('full_content');
        setTimeout(function () { $("#"+page).removeClass('full_content') }, 15000);
    }
}

/*--------------------------------------------- ON SHOW article ------------------------------------------------------*/

function article_OnShowArticle( objData )
{
	var domContainer = $('#news_article_content');
	domContainer.html('');

	let cContent = '<div id="article_header">';
		if (objData.image_url != false)
			cContent+= '<img src="' + g_aConfig['server_protocol'] + ':' + objData.image_url + '" class= "article_thumb" />';
		else
			cContent+= '<div class="article_no_photo"></div>';
		cContent+= '<h1 class="article_title">' + objData.title + '</h1>';
	cContent+= '</div>';
	if(objData.media){	
		cContent+= '<div class="news_media_content">';
		for (var i = 0; i < objData.media.length; i++) 
		{
			let item = objData.media[i];
			cContent += ShowMedia(item, i+1);	
		}
		cContent+= '</div>';
	}

	cContent+= '<div class="article_content">' + objData.content + '</div>';
	domContainer.html(cContent).show();
	$('#news_list_content').hide();
}

function article_Hide(){
	$('#news_article_content').scrollTop(0).hide().empty();
	$('#news_list_content').show();
}

/*--------------------------------------------- ON SHOW media LIST ------------------------------------------------------*/
function podcast_OnShowList(objData){			media_OnShowList(objData, 'podcast');		}
function record_OnShowList(objData){			media_OnShowList(objData, 'bcc_podcast');	}

function media_OnShowList(objData, element){

	if(playerShown == 'false') $('#wrapper_player').show();
	var domContainer = $('#'+element);
	if (domContainer.find('.chamomile').length) 	domContainer.find('.chamomile').remove(); 

	setTimeout(function () { g_aDownloading[element] = false; }, objData.media.length ? 500 : 2000);	

	var countMedia = $('.media-thumb').length + 1;
    for (var i = 0; i < objData.media.length; i++) 
	{
		var media = objData.media[i];
		if(element == 'bcc_podcast') media['logo_url'] = objData.logo;
		let cContent = ShowMedia(media, i+countMedia);			
		domContainer.append(cContent);
	}	
	if( !objData.media.length )
		domContainer.addClass('full_content');    	
}

function ShowMedia(media, $id) {
	let cContent = '<div class="media-thumb" media_id="' + media['media_id'] + '">';
		cContent +='<div class="media_wrapper"><div class="media-logo" style="background:url(https:' + media['logo_url'] + ') no-repeat center/cover"></div>';
		cContent +='<div class="media-info">';
			cContent +='<div class="media-author">'+ media['autor'] + '</div>';
			cContent +='<div class="media-title">'+ media['title'] +'</div>';
		cContent +='</div>';
		cContent +='<div class="play_btn_music" audio-src = "'+ media['audioURL'] +'" data_id="'+$id+'"><div id="wrapper_waiting"></div></div>';
	cContent +='</div></div>';
	return cContent;
}


/**
 *	Returns language translation array.
 */
function news_GetActionLang()
{
	return {
		action_title: translate('Выберите действие'),
		report_title: translate('Отправить жалобу'),
		read: translate('Подробнее'),
		hide: translate('Скрыть'),
		report: translate('Пожаловаться'),
		insult: translate('Оскорбление'),
		adult_content: translate('Материал для взрослых'),
		drug_advocacy: translate('Пропаганда наркотиков'),
		child_porn: translate('Детская порнография'),
		extremism: translate('Экстремизм/Насилие'),
		suicide: translate('Призыв к суициду'),
		done_btn: translate('Готово'),
		cancel_btn: translate('Отмена'),
		hide_btn: translate('Скрыть новость'),
		confirm_hide: translate('Вы действительно хотите скрыть новость?'),
		confirm_sent: translate('Жалоба успешно отправлена!')
	};
}

/**
 * Shows report dialog
 * @param {any} domArticle
 * @param {any} articleID
 */
function news_ShowReportDlg(articleID)
{
	var textItems = news_GetActionLang();
	window.plugins.listpicker.showPicker({
		title: textItems['report_title'],
		items: [
			{ text: textItems['insult'], value: 'insult' },
			{ text: textItems['adult_content'], value: 'adult_content' },
			{ text: textItems['drug_advocacy'], value: 'drug_advocacy' },
			{ text: textItems['child_porn'], value: 'child_porn' },
			{ text: textItems['extremism'], value: 'extremism' },
			{ text: textItems['suicide'], value: 'suicide' }
		],
		doneButtonLabel: textItems['done_btn'],
		cancelButtonLabel: textItems['cancel_btn']
	},
		/* report selection handler*/
		function (item) {
			client_Report('news', item, articleID, function () {
				navigator.notification.confirm(textItems['confirm_sent'], function (choice) {},	"", textItems['done_btn'] + ',' + textItems['hide_btn']);
			});
		},
		function () { /* Canceled */ }
	);
}


function search_OnUpdateSuggests( objData )
{
	g_Autocomplete.list = objData.suggestions;
	if (objData.suggestions.length) g_Autocomplete.open();
}


function vzchannel_UpdateFav(data) {
    if (data.val)
        $('#menu_player_fav').addClass('fav');
    else
        $('#menu_player_fav').removeClass('fav');
}

/*--------------------------------------------- BROADCAST ------------------------------------------------------*/

function MobileWebAudioCapture()
{  
	/**
	 *	Starts capture of an audio stream.
	 */
	this.startAudioCapture = function(conf)
	{
		console.log('CAPTURE STARTED');

        window.addEventListener('audioinput', onAudioInputCapture, false);
        window.addEventListener('audioinputerror', onAudioInputError, false);

		g_aConfigs = conf;
		var captureCfg = {
			sampleRate: (device.platform == 'Android' ? audioinput.SAMPLERATE.CD_AUDIO_44100Hz : audioinput.SAMPLERATE.CD_HALF_22050Hz),
			bufferSize: (device.platform == 'Android' ? g_aConfigs.bufferLength : 8192),
			concatenateMaxChunks: (device.platform == 'Android' ? 10 : 2)
		};
		audioinput.start(captureCfg);
		if (!g_aConfigs.onStartCapture((device.platform == 'Android' ? 44100 : 22050))) return;
		console.log('CAPTURE STARTED');
		return true;
	};
	
	/**
	 *	Stops capture of an audio stream.
	 */
	this.stopAudioCapture = function()
	{
		console.log('Stop audio capture');		
		g_aConfigs.onStopCapture();
	};
	
	/**
	 *	Sets current microphone volume.
	 *	@param volume	Volume value [0..1]. 
	 */
	this.setMicVolume = function(volume){};
}

function broadcast_OnBCDisconnect()
{
	var aT = new Array();
	aT['broadcaster'] = translate('Транслятор');
	aT['connection_error'] = translate('Ошибка соединения');	
}

/*--------------------------------------------- ON BROADCASTER LOGIN REQUEST -------------------------------------------*/
function broadcast_OnBCLoginRequest( cSalt )
{
	client_MediaLogin( undefined, $('#broadcast').attr('channel_id'), cSalt, 'broadcast_OnBCLoginMediaSuccess', 'broadcast_OnBCLoginMediaFail' );
}

/*---------------------------------------- ON BROADCASTER LOGIN MEDIA SUCCESS ------------------------------------------*/
function broadcast_OnBCLoginMediaSuccess( objData ){		broadcaster.login( objData.login, objData.password );	}

/*------------------------------------------ ON BROADCASTER LOGIN MEDIA FAIL -------------------------------------------*/
function broadcast_OnBCLoginMediaFail( cError, objData ){	ai_ErrorDlg( '', cError );		}

/*--------------------------------------------- ON BROADCASTER LOGIN ---------------------------------------------------*/
function broadcast_OnBCLogin( cStatus )
{	
	if (cStatus == 'OK') 
	{
		$('#broadcast_status, #broadcast_autodj_status').html('').addClass('inactive');
		$('#broadcast_btn .broadcast_label').html(translate('Начать трансляцию'));
		return;
	}
	ai_ErrorDlg( translate('Ошибка трансляции') , cStatus );
}

/*--------------------------------------------- ON AUTO DJ STATE--------------------------------------------------------*/
function broadcast_OnAutoDJState( objData )
{	
	$('#broadcast_autodj_status').html('');	

	if (objData.state == 'started')
	{
		/* Started*/
		$('#broadcast_autodj_status').removeClass('inactive').addClass('active');
		$('#broadcast_autodj_btn .broadcast_label').html( translate('Остановить Автодиджея') );
		/* Avoid double playing*/
		menu_Stop();
	}
	else if (objData.state == 'starting') /* Starting*/
	{		
		$('#broadcast_autodj_status').removeClass('inactive').addClass('active');
		$('#broadcast_autodj_btn .broadcast_label').html( translate('Автодиджей запускается'));
	}
	else if (objData.state == 'stopped')/* Stopped*/
	{		
		$('#broadcast_autodj_status').removeClass('active').addClass('inactive');
		$('#broadcast_autodj_btn .broadcast_label').html( translate('Запустить Автодиджей'));
	}
}

/*--------------------------------------------- ON START CAPTURE --------------------------------------------------------*/
function broadcast_OnStartCapture()
{
	$('#broadcast_status').removeClass('inactive').addClass('active');
	$('#broadcast_btn .broadcast_label').html( translate('Остановить трансляцию'));
}

/*--------------------------------------------- ON STOP CAPTURE ---------------------------------------------------------*/
function broadcast_OnStopCapture()
{
	$('#broadcast_status').removeClass('active').addClass('inactive');
	$('#broadcast_btn .broadcast_label').html( translate('Начать трансляцию') );
}

/*--------------------------------------------- ON CAPTURE ERROR --------------------------------------------------------*/
function broadcast_OnCaptureError( cError ){	ai_ErrorDlg( translate('Ошибка захвата звука'), cError ); }

/** --------------------------------------------- ON CAPTURE ERROR ------------------------------------------------------
* Called continuously while AudioInput capture is running.
*/
function onAudioInputCapture(evt) 
{
	try {
		if (evt && evt.data) {
			g_aConfigs.onAudioData([evt.data, evt.data]);
		}
		else {
			ai_ErrorDlg('', "Unknown audioinput event!");
		}
	}
	catch (ex) {
		ai_ErrorDlg('', "onAudioInputCapture ex: " + ex);
	}
}


/** --------------------------------------------- ON CAPTURE ERROR ------------------------------------------------------
* Called when a plugin error happens.
*/
function onAudioInputError(error) { 	ai_ErrorDlg('', "onAudioInputError event recieved: " + JSON.stringify(error)); }

/*------------------------------------------------- ON MIC SIGNAL -------------------------------------------------------*/
function broadcast_OnMicSignal( fSignal )
{
	var fMinRadius = 3;
	var fMaxRadius = 10;
	var fRadius = fSignal * (fMaxRadius - fMinRadius) + fMinRadius;
	var fOpacity = fSignal;
	if ($('#broadcast_status').hasClass('active'))
	{
		$('#mic_level').css('display', 'block');
		$('#mic_level').css({width: fRadius + 'vw', height: fRadius + 'vw', opacity: fOpacity});
	}
	else $('#mic_level').css('display', 'none');
}

/*------------------------------------------------- Login -------------------------------------------------------*/
function login_Main()
{
	var cContent = '<div id="close_dlg_login"></div><div id="login"><div class="dlg_title">'+translate('Вход')+'</div>';
		cContent+= '<input type="text" name="user_login" id="user_login" placeholder="' + translate('Email или название станции') + '" />';
		cContent+= '<input type="password" name="user_pass" id="user_pass" placeholder="' + translate('Пароль') + '" />';
		cContent += '<input type="submit" name="reg_btn" id="reg_btn" value="' +  translate('Регистрация')+ '" />';
		cContent+= '<input type="submit" name="login_btn" id="login_btn" value="' +  translate('Войти') + '" />';
		cContent += '<div id="login_enter"></div>';
	cContent+= '</div>';
	$('#dlg_login').html( cContent );
	login_addblur();
}
function login_addblur(){
	$('#dlg_login').show();
	$('#wrapper_login').show();
	$('#content').addClass('loginShow');
}

function login_rmblur(){
	$('#dlg_login').hide();
	$('#wrapper_login').hide();
	$('#content').removeClass('loginShow');
	$('#dlg_login').empty();
	$('.order_track_dlg').remove();
	menu_SetupLoginBtn();
}
/*-------------------------------------------- ON SUCCESSFUL LOGIN -----------------------------------------------------*/
function login_OnSuccess( objData )
{
	ai_Set('login', $('#user_login').val());
	ai_Set('pw', ai_Hash($('#user_pass').val()));
	ai_Set('User_id', objData.user_id);
	menu_SetupLoginBtn();
	if (ai_GetURLParam('params') == 'goback')	
		index_OnBackButton(null);
	else
	{
		if(sync){
			sync.disconnect();
			sync = null;
		}
		if( $('#menu_player').attr('radio_type') == 'vz' && $('#menu_player').attr('station_id') != 0 ){
			$('#menu_player').click();
			$('#menu_player').click();
		}
		login_rmblur();
		ai_SetPageURL('', 'userchannels');
		menu_SetupLoginBtn();
		index_ShowCurrentPage();
	}
}

/*---------------------------------------------- ON LOGIN FAILURE ------------------------------------------------------*/
function login_OnFailure( cError, objData )
{
	ai_Logout();
	if( typeof(objData.result) != 'undefined' && objData.result == 'ACCESS_DENIED' )
		ai_ErrorDlg( '', translate('Неверный логин или пароль') );
	else
		ai_ErrorDlg( '', cError );
}

function settings_HideSelected(one, two, three){
	$('.vselect_wrapper_'+one+', .vselect_wrapper_'+two+', .vselect_wrapper_'+three).toggleClass('show', false);
    $('.vselect_current_'+one+', .vselect_current_'+two+', .vselect_current_'+three).attr('aria-expanded', 'false');
    $('.vselect_list_'+one+', .vselect_list_'+two+', .vselect_list_'+three).toggleClass('show', false);
}